Subject: bug#11776: closed (Re: bug#11784: Guile on GNU/Hurd)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 20 Jun 2016 19:37:02 +0000

Your bug report

#11776: Guile 2.0.5 on GNU/Hurd

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11776: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11776
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11784: Guile on GNU/Hurd
From: Andy Wingo <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: Cyril Roelandt <[email-masked]>, [email-masked]
Date: Mon, 20 Jun 2016 21:35:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

No update in some years; let's archive this one and if you find a new
build issue with 2.0.11 or 2.1.3, let's work from there :)

Andy

On Mon 25 Jun 2012 23:13, [email-masked] (Ludovic Courtès) writes:

> Hi Cyril!
>
> Cyril Roelandt <[email-masked]> skribis:
>
>> When compiling with --without-threads, I can run (+ 1 2) in the
>> interpreter successfully. Running ./check-guile gives me the following
>> result:
>>
>> Totals for this test run:
>> passes:                 34286
>> failures:               2
>> unexpected passes:      0
>> expected failures:      30
>> unresolved test cases:  575
>> untested test cases:    1
>> unsupported test cases: 15
>> errors:                 0
>
> Can you please post the ‘check-guile.log’ excerpt corresponding to these
> two failures?
>
> Thanks,
> Ludo’.

Subject: Guile
From: Cyril Roelandt <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Mon, 25 Jun 2012 03:23:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

(I'm sending this to both bug-guile and bug-hurd; could you please keep 
debian-hurd CC'ed ?)

Hi !

I'm trying to run Guile 2.0.5 on Debian GNU/Hurd in a qemu virtual machine.

I installed Guile from the tarball, with no configure options at all. 
I'm getting the following error:

$ ./meta/guile
GNU Guile 2.0.5
Copyright (C) 1995-2012 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(guile-user)> (+ 1 2)
Illegal instruction

The GDB output is attached.

When compiling with --without-threads, I can run (+ 1 2) in the 
interpreter successfully. Running ./check-guile gives me the following 
result:

Totals for this test run:
passes:                 34286
failures:               2
unexpected passes:      0
expected failures:      30
unresolved test cases:  575
untested test cases:    1
unsupported test cases: 15
errors:                 0

So I think it's probably usable this way.

WBR,
Cyril Roelandt.